<?php



require_once 'Classes/General/Date.php';



/**
 * This class represents a range of dates, from date to date
 **/

class DateRange
{
  public function __construct( DateRange $rhs = null )
  {
    $this->from_date = new Date();
    $this->to_date = new Date();
    
    if( $rhs != null )
      $this->Copy( $rhs );
  }
  
  public function Copy( DateRange $rhs )
  {
    $this->from_date = new Date( $rhs->GetFromDate() );
    $this->to_date = new Date( $rhs->GetToDate() );
  }

  public function SetFromDate( $s_from_date ) { $this->from_date = $s_from_date; }
  public function GetFromDate() { return $this->from_date; }

  public function SetToDate( $s_to_date ) { $this->to_date = $s_to_date; }
  public function GetToDate() { return $this->to_date; }

  private $from_date;
  private $to_date;
};





?>